2017-07-21 12:58 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000317Cheat Enginepublic2016-02-22 23:17
ReporterDirrrty 
Assigned ToDark Byte 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000317: window spawns out of screen
DescriptionWhen I either use dual monitors, or a monitor in 1080(and place the CE window in the right monitor, or somewhere beyond 768 approximate pixels), then switch to a smaller monitor(768), The cheat engine window spawns outside of the screen entirely. I can't move the window back in regardless what I do, unless I connect a larger monitor and move the window to the top left area, then I can switch back again.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000779

mryt (reporter)

Almost same issue:

Setup: Dual monitors. Right one is main screen.

Steps: Open CE and move it to the left (secondary) screen. Close CE. Reopen CE.

Expected: CE opens where is was closed.

Actual: CE opens on main monitor again.

~0000781

mgr_inz_Player (reporter)

I'm using this script for CE6.4 (CE from SVN can have different offsets, see first line).


################################################################
local offset = cheatEngineIs64Bit() and 0xe98 or 0x808
local screenWidthAddress = userDataToInteger(getMainForm())+offset
local screenHeightAddress = screenWidthAddress+4
local screenWidth = readIntegerLocal(screenWidthAddress)
local screenHeight = readIntegerLocal(screenHeightAddress)


if getMainForm().Left+10>screenWidth then getMainForm().Left=screenWidth/2-getMainForm().Width/2 end
if getMainForm().Top+40>screenHeight then getMainForm().Top=screenHeight/2-getMainForm().Height/2 end
################################################################




This will center CE window if it is outside main screen.

~0000782

mgr_inz_Player (reporter)

Maybe getScreen() Lua function in future CE6.5

Access to those:
property MonitorCount: Integer; [r] The number of available Monitors.
property Monitors: TMonitor; [r] The indexed list of available monitors. ( table in Lua)

property Width: Integer; [r] The width of the primary monitor.
property Height: Integer; [r] The height of the primary monitor.


property PrimaryMonitor: TMonitor; [r] The primary monitor typically shows the taskbar.

property WorkAreaRect: TRect; [r] The usable display area on the primary monitor, excluding e.g. the taskbar.
property WorkAreaHeight: Integer; [r] The usable height of the primary monitor.
property WorkAreaLeft: Integer; [r] The usable left coordinate on the primary monitor.
property WorkAreaTop: Integer; [r] The usable top coordinate on the primary monitor.
property WorkAreaWidth: Integer; [r] The usable width of the primary monitor.














And for TMonitor class object:

property MonitorNum: Integer; [r] Index of the monitor in the TScreen.Monitors list. (index of monitor in Monitors lua table)
property Left: Integer; [r] The leftmost screen coordinate of the display.
property Height: Integer; [r] The height of the display.
property Top: Integer; [r] The topmost screen coordinate of the display.
property Width: Integer; [r] The width of the display.
property BoundsRect: TRect; [r] The logical dimensions of the monitor, within the desktop.
property WorkareaRect: TRect; [r] The usable display area, excluding a taskbar etc.
property Primary: Boolean; [r] True if this is the primary monitor of the system.

~0000930

dopleganger398 (reporter)

Last edited: 2016-01-13 16:06

View 2 revisions

I fixed this problem with my dual monitors when I thought, if its appearing on a third non-existent monitor why not set the monitor chain back one, I use a laptop and my second monitor is just a TV on the right I had my TV set as my main display, when i had changed my main display back to my laptop screen, cheat engine showed up on my TV screen, move it over to your main and then adjust your settings as you had them before.

hope I could be of assistance.

I also hope you could follow all that, my English is bad.

~0000931

Beanobrad (reporter)

Click cheatengine on the taskbar and then press ALT+SPACE then hit maximize.
Hope this helps.

~0000932

mgr_inz_Player (reporter)

Last edited: 2016-01-14 15:11

View 2 revisions

Download CE6.5 installer from main CE site (installer version 6.5.0.3 or newer).
Install it, then test multimonitor window position saving.

~0000938

Dark Byte (developer)

should be fixed
+Notes

-Issue History
Date Modified Username Field Change
2014-02-07 21:58 Dirrrty New Issue
2015-02-25 21:00 mryt Note Added: 0000779
2015-02-28 02:30 mgr_inz_Player Note Added: 0000781
2015-02-28 02:48 mgr_inz_Player Note Added: 0000782
2016-01-13 16:04 dopleganger398 Note Added: 0000930
2016-01-13 16:06 dopleganger398 Note Edited: 0000930 View Revisions
2016-01-13 19:36 Beanobrad Note Added: 0000931
2016-01-14 15:11 mgr_inz_Player Note Added: 0000932
2016-01-14 15:11 mgr_inz_Player Note Edited: 0000932 View Revisions
2016-02-22 23:17 Dark Byte Note Added: 0000938
2016-02-22 23:17 Dark Byte Status new => resolved
2016-02-22 23:17 Dark Byte Resolution open => fixed
2016-02-22 23:17 Dark Byte Assigned To => Dark Byte
2016-06-05 15:18 Jptnuc Issue cloned: 0000469
+Issue History